Bug 3606 - Connection String parameter "Failover Partner" is not supported
Summary: Connection String parameter "Failover Partner" is not supported
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 2.10.x
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-02-23 06:00 UTC by Josef Semmler
Modified: 2018-02-22 22:36 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Josef Semmler 2012-02-23 06:00:39 UTC
I have the following code
 
using System.Data.SqlClient;

namespace DBFailoverTest
{
    class Program
    {
        static void Main(string[] args)
        {
            string connectionString = "Data Source=server1;Failover Partner=server2;Initial Catalog=testdb;Persist Security Info=True;User ID=user;password=letmein";
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                connection.Open();
                SqlCommand queryCommand = new SqlCommand("SELECT 1", connection);
                SqlDataReader queryCommandReader = queryCommand.ExecuteReader();
            }
        }
    }
}
 
Using mono 2.6.7 i only get:
C:\DBFailoverTest\bin\Debug>mono DBFailoverTest.exe
Unhandled Exception: System.ArgumentException: Keyword not supported : 'failover partner'.
  at System.Data.SqlClient.SqlConnection.SetProperties (System.String name, System.String value) [0x00000] in <filename unknown>:0
 
Same with mono 2.10.x
 
I also checked the code on githup ... and although the values seem to be there - it seems as if the "SetProperties" method does not support this option!?
Comment 1 no name 2016-03-25 12:20:05 UTC
Anything new on it?
I ran into this issue on Ubuntu 14.04 with xsp webserver and .Net Framework 4 and SQL Server 2005
Comment 2 a.gupta 2017-02-24 18:35:19 UTC
Having the same issue:
https://github.com/mono/mono/blob/master/mcs/class/System.Data/System.Data.SqlClient/SqlConnection.cs#L738

This also doesn't support multisubnetfailover. 

For some reason the docs say its supported:
http://docs.go-mono.com/index.aspx?link=P%3ASystem.Data.SqlClient.SqlConnection.ConnectionString

Either the docs should be update to reflect this is not supported, or the code should change.
Comment 3 Egorbo 2017-04-12 21:01:12 UTC
System.Data is moving to corefx sources where the 'Failover Partner' and 'multisubnetfailover' keywords are fully implemented.
Comment 4 Marek Safar 2018-02-22 22:36:14 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.